
#define MyAppName "Remote Support"
#define MyAppVersion "1.0"
#define MyAppPublisher "Verdnatura"
#define MyAppURL "http://www.verdnatura.es/"
#define MyAppExeName "MyProg.exe"
#define RegPath "Software\TightVNC\Server"

[Setup]
; NOTE: The value of AppId uniquely identifies this application.
AppId={{7615F2D0-AB26-4EB0-948C-BBB2CE1151D7}
AppName={#MyAppName}
AppVersion={#MyAppVersion}
AppVerName={#MyAppName} {#MyAppVersion}
AppPublisher={#MyAppPublisher}
AppPublisherURL={#MyAppURL}
AppSupportURL={#MyAppURL}
AppUpdatesURL={#MyAppURL}
CreateAppDir=no
;LicenseFile=src\LICENSE.txt
OutputBaseFilename=setup
SetupIconFile=icon.ico
Compression=lzma
SolidCompression=yes
CreateUninstallRegKey=no
Uninstallable=no
;PrivilegesRequired=admin
DisableStartupPrompt=yes
SignTool=signtool.exe sign /a /f $qC:\cert.pfx$q /n $q{#MyAppPublisher}$q /t http://timestamp.comodoca.com/authenticode /d $q{#MyAppName}$q $f

[Languages]
Name: "es"; MessagesFile: "compiler:Languages\Spanish.isl"

[Files]
Source: "LICENSE.txt";    DestDir: "{tmp}"; Flags: ignoreversion
Source: "main.js";        DestDir: "{tmp}"; Flags: ignoreversion
Source: "style.css";      DestDir: "{tmp}"; Flags: ignoreversion
Source: "tvnserver.exe";  DestDir: "{tmp}"; Flags: ignoreversion
Source: "vn-support.hta"; DestDir: "{tmp}"; Flags: ignoreversion
Source: "icon.ico";       DestDir: "{tmp}"; Flags: ignoreversion

[Run]
Filename: "{sys}\mshta.exe"; Parameters: """{tmp}\vn-support.hta"""; WorkingDir: "{tmp}"; Description: "Ejecutar soporte remoto"; Flags: postinstall runascurrentuser

[Registry]
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "string"; ValueName: "ExtraPorts";              ValueData: "";    Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "QueryAcceptOnTimeout";    ValueData: "0";   Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "BlockLocalInput";         ValueData: "0";   Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "AcceptRfbConnections";    ValueData: "0";   Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "UseVncAuthentication";    ValueData: "1";   Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "AcceptHttpConnections";   ValueData: "0";   Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "EnableUrlParams";         ValueData: "1";   Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "AlwaysShared";            ValueData: "0";   Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "NeverShared";             ValueData: "0";   Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "DisconnectClients";       ValueData: "1";   Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "AllowLoopback";           ValueData: "0";   Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "UseMirrorDriver";         ValueData: "1";
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "BlockRemoteInput";        ValueData: "0";
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "EnableFileTransfers";     ValueData: "1";
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "RemoveWallpaper";         ValueData: "1";
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "PollingInterval";         ValueData: "500"
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "GrabTransparentWindows";  ValueData: "1"
Root: HKCU; Subkey: "{#RegPath}"; ValueType: "dword";  ValueName: "LoopbackOnly";            ValueData: "0";
